From d73375992f93bde68aa512bd341b32ae4e7d82fe Mon Sep 17 00:00:00 2001
From: Emil Renner Berthing <emil.renner.berthing@canonical.com>
Date: Mon, 7 Nov 2022 21:05:18 +0100
Subject: [PATCH 57/72] net: phy: motorcomm: Disable rgmii rx delay

Signed-off-by: Emil Renner Berthing <emil.renner.berthing@canonical.com>
---
 drivers/net/phy/motorcomm.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/drivers/net/phy/motorcomm.c b/drivers/net/phy/motorcomm.c
index 2fa5a90e073b..85b121f2736c 100644
--- a/drivers/net/phy/motorcomm.c
+++ b/drivers/net/phy/motorcomm.c
@@ -1470,6 +1470,12 @@ static int yt8521_config_init(struct phy_device *phydev)
 		ret = ytphy_rgmii_clk_delay_config(phydev);
 		if (ret < 0)
 			goto err_restore_page;
+
+		/* disable rx delay */
+		ret = ytphy_modify_ext(phydev, YT8521_CHIP_CONFIG_REG,
+				       YT8521_CCR_RXC_DLY_EN, 0);
+		if (ret < 0)
+			goto err_restore_page;
 	}
 
 	if (of_property_read_bool(node, "motorcomm,auto-sleep-disabled")) {
-- 
2.41.0


